Topics Map > Do-IT Yourself > Applications and Software

Known Issues and Limitations with macOS Catalina

Apple releases its newest operating system - Catalina. You must verify that your applications are optimized for macOS Catalina. There are some apps that won't work with the new operating system. Check out the information from MacWorld and MacRumors.

Apple: About Legacy System Extensions
https://support.apple.com/en-us/HT210999

Apps at Rice that use Kernel extensions may trigger warnings about the use of Legacy Sytstem Extensions, starting in macOS 10.15.4, inlcuding CiscoAnnyConnect VPN and FireEye.  These notifications will not impact the use of these apps. Click OK to dismiss the notification.
Legacy System Extension

Adobe:  Why don't my Adobe apps work in macOS Catalina


MacWorld:  Apps that won't work in macOS Catalina

> Which Mac apps don't run in Catalina? (Note: these are just some that have been identified.  Always check your system.)


MacRumors: 32-Bit Apps Not Optimized
https://www.macrumors.com/guide/32-bit-mac-apps/




Keywords:mac os macos catalina upgrade operating systems   Doc ID:94839
Owner:Diane Y.Group:Rice University
Created:2019-10-04 15:06 CDTUpdated:2020-03-27 16:26 CDT
Sites:Rice University
Feedback:  0   0